package cokr.xit.fims.base.web;

import org.springframework.stereotype.Controller;
import org.springframework.web.servlet.ModelAndView;

import cokr.xit.base.security.access.service.AuthorityQuery;

@Controller
public class AuthorityController extends cokr.xit.base.security.access.web.AuthorityController {
	@Override
	public ModelAndView main() {
		ModelAndView mav = getAuthorityList(new AuthorityQuery().setFetchAll(true));
		mav.setViewName("base/authority/authority-main");
		return mav.addObject("authorityList", toJson(mav.getModel().get("authorityList")));
	}
}